Issue 122163 - Print dialog too wide in Norwegian
Summary: Print dialog too wide in Norwegian
Status: CONFIRMED
Alias: None
Product: Native-Lang
Classification: NLC
Component: no (show other issues)
Version: 3.4.1
Hardware: PC Windows, all
: P3 Normal
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL: http://forum.openoffice.org/en/forum/...
Keywords: usability
: 122212 122234 122248 (view as issue list)
Depends on:
Blocks:
 
Reported: 2013-04-25 07:30 UTC by roryof
Modified: 2018-07-01 08:51 UTC (History)
9 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---
jsc: 4.0.0_release_blocker-


Attachments
Fixed PO file from Håkon Vågsether (32.94 KB, text/x-gettext-translation)
2013-05-05 22:03 UTC, Andrea Pescetti
no flags Details
Screenshot of the english print dialog for reference. (29.57 KB, image/png)
2013-06-18 09:58 UTC, Andre
no flags Details
Screenshot (293.96 KB, image/jpeg)
2013-07-01 12:41 UTC, olanhol@getmail.no
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description roryof 2013-04-25 07:30:21 UTC

    
Comment 1 roryof 2013-04-25 07:32:44 UTC
URL above (on en-Forum) shows the long line on Norwegian print dialogs
Comment 2 Andrea Pescetti 2013-05-04 11:28:43 UTC
This seems a trivial error in the PO file, see:
https://translate.apache.org/nb/OOo_34/translate.html?unit=8287582

But there is something more going on. For example, the following translations from the same file do not look right at first sight (maybe some PO file corruption?). They seem all reasonable, but all misplaced.

https://translate.apache.org/nb/OOo_34/translate.html?unit=8287584
https://translate.apache.org/nb/OOo_34/translate.html?unit=8287585
https://translate.apache.org/nb/OOo_34/translate.html?unit=8287586

So I'd recommend that the whole PO file is reviewed.

The 4.x version of Norwegian (nb) PO files is at
http://people.apache.org/~jsc/translation/aoo40_ui_nb_po-files.zip
and the apparently problematic PO file is
sw/source/ui/config.po
in that archive.
Comment 3 Ariel Constenla-Haile 2013-05-05 06:38:41 UTC
*** Issue 122212 has been marked as a duplicate of this issue. ***
Comment 4 Rainer Bielefeld 2013-05-05 08:16:47 UTC
*** Issue 122234 has been marked as a duplicate of this issue. ***
Comment 5 Andrea Pescetti 2013-05-05 22:03:39 UTC
Created attachment 80643 [details]
Fixed PO file from Håkon Vågsether

This does not fix the general issue, but here is a fixed PO file sw/source/ui/config.po for nb, posted by Håkon Vågsether yo the l10n list.

The patched file is for the 4.x code line.
Comment 6 Rainer Bielefeld 2013-05-07 19:34:23 UTC
*** Issue 122248 has been marked as a duplicate of this issue. ***
Comment 7 V Stuart Foote 2013-05-11 17:33:14 UTC
Do not see this as an accessibility issue as opened, marking a native language usability issue for Norwegian.
Comment 8 olanhol@getmail.no 2013-05-16 09:06:22 UTC
So, what is the solution ?
Comment 9 Andrea Pescetti 2013-05-21 19:07:23 UTC
This issue will be fixed in OpenOffice 4 when it is released (tentatively, end of June). Marking as possible stopper to ensure that we will import the corrected file attached to this issue before building the Norwegian version.
Comment 10 Andre 2013-06-18 09:58:56 UTC
Created attachment 80879 [details]
Screenshot of the english print dialog for reference.

For reference here is a screenshot of the print dialog with English localization.

The problem is the translation of the word "Comments".  It is a fixed text that does not handle long text gracefully.
Comment 11 Andrea Pescetti 2013-06-18 11:39:19 UTC
@Andre: indeed that's true, but that is a less significant problem. The real problem was that strings were mixed up in PO files and Pootle.

This is fixed with https://issues.apache.org/ooo/show_bug.cgi?id=122163#c5 which I've now imported into Pootle at https://translate.apache.org/nb/aoo40/sw/source/ui/config.po ; so Pootle has the right strings now.
Comment 12 jsc 2013-06-24 12:19:16 UTC
set showstopper flag
Comment 13 jsc 2013-06-27 11:50:43 UTC
set showstopper flag back to requested because currently no activity for Norwegian translation is seen and I don't know if it will be released.
Comment 14 Andrea Pescetti 2013-06-27 20:28:58 UTC
This will anyway be fixed in SVN (and not only in Pootle, where it is already fixed now) at the first Pootle -> SDF conversion for Norwegian, before or after version 4.0 is released in English and other languages.
Comment 15 olanhol@getmail.no 2013-07-01 12:41:01 UTC
Created attachment 80967 [details]
Screenshot

The print dialog window is two screens wide. How can this be a problem attached to the Norwegian language?
Comment 16 Andrea Pescetti 2013-07-01 16:46:50 UTC
The problem affects Norwegian since, due to a translation bug, some translations were swapped and "Comments" was translated into Norwegian with an extremely long sentence (which is responsible for the extra-wide options screen).

This particular problem is fixed in our source code. But a Norwegian version with the fix will be available only when we officially release version 4.0 in Norwegian. This will happen once the translation, now at 94%, reaches 100%: https://translate.apache.org/nb/aoo40/

We welcome volunteers to complete the translation. If interested, please write to the localization mailing list: http://openoffice.apache.org/mailing-lists.html
Comment 17 jsc 2013-07-02 12:33:35 UTC
remove showstopper request, will be fixed with next Norwegian release. Currently it's open when a new release will be possible because no translation activity is ongoing
Comment 18 Marcus 2017-05-20 11:27:54 UTC
Reset assigne to the default "issues@openoffice.apache.org".
Comment 19 Peter 2018-07-01 08:51:15 UTC
Hi is this issue still active in recent versions?
According to Andreas last comment this should be fixed.